package policyauthor;

public class TestMatrixObserver implements MatrixObserver {

	public void update(String role, String action, ACDecision dec) {
		System.out.print("Matrix Gui Event: \n\tRole: " + role + "\n\tAction: " + action + "\n\tDecision: ");
		if(dec == ACDecision.UNDEFINED) {
			System.out.println("UNDEFINED");
		} else if(dec == ACDecision.PERMIT) {
			System.out.println("PERMIT");
		} else if(dec == ACDecision.DENY) {
			System.out.println("DENY");
		} else if(dec == ACDecision.NOTAPPLICABLE) {
			System.out.println("NOTAPPLICABLE");
		}
	}

}
